Page MenuHomePhabricator

cloudvps: discovery-stats project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the discovery-stats project needs to upgrade as soon as possible.

The list of affected VMs is:

  • shinyserv-01.discovery-stats.eqiad.wmflabs
  • shinyserv-lb.discovery-stats.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/discovery-stats

Event Timeline

aborrero triaged this task as Medium priority.Sep 17 2018, 12:28 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 12:28 PM

This is currently blocked on Shiny Server (the software that Discovery Dashboards rely on) becoming available for Debian: T168967
If someone wants to take that on, there are instructions for building Shiny Server from source and we would enormously appreciate it.

Another ping. Deadline is approaching (2018-12-18).

Ping. Today is Friday and the deadline is Tuesday.

Today is the deadline.

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

mpopov closed this task as Resolved.Jan 2 2019, 4:24 PM
mpopov claimed this task.

Instances deleted